<ion-content>
  <h3>Confirmar el código</h3>

  <ion-grid [fixed]="true">
    <ion-row style="justify-items: center; justify-content: center">
      <ion-col size-lg="8" size-md="8" size="12" size-sm="12">
        <ion-card>
          <!-- texto -->
          <p class="p-titulo">
            <img
              src="assets/iconos-svg/info-circle-fill.svg"
              alt="info">
            Ingresar el código enviado al dispositivo del socio.
          </p>

          <p class="p-titulo"><em>El código ha sido enviado al <strong>{{celularEnmascarado}}</strong></em></p>

          <!-- input de codigo -->
          <code-input
            [isCodeHidden]="true"
            [codeLength]="6"
            #token
            (codeChanged)="digitarCodigo($event)"
            (codeCompleted)="codigoCompleto($event)">
          </code-input>

          <div
            class="mensaje-expiracion ion-text-right d-inline">
            Expira en <strong>{{ minutos | number: '2.0'}}:{{ segundos | number: '2.0'}} minutos.</strong>
          </div>

          <p class="p-nuevo-token" (click)="generarNuevoToken()"><em>Solicitar nuevo código</em></p>

          <ion-button
            expand="block"
            (click)="verificar()">
            Verificar
          </ion-button>

        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
